---
title: inputMediaVideo
description: inputMediaVideo attributes, type and example
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: inputMediaVideo  
[Back to constructors index](index.md)



### Attributes:

| Name     |    Type       | Required |
|----------|---------------|----------|
|id|[InputVideo](../types/InputVideo.md) | Optional|
|caption|[string](../types/string.md) | Yes|



### Type: [InputMedia](../types/InputMedia.md)


### Example:

```php
$inputMediaVideo = ['_' => 'inputMediaVideo', 'id' => InputVideo, 'caption' => 'string'];
```  


Or, if you're into Lua:

```lua
inputMediaVideo={_='inputMediaVideo', id=InputVideo, caption='string'}

```


